d2i_CMS_ContentInfo(3) | OpenSSL | d2i_CMS_ContentInfo(3)

# NAME

d2i_CMS_ContentInfo, i2d_CMS_ContentInfo - CMS ContentInfo functions

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/cms.h>
     CMS_ContentInfo *d2i_CMS_ContentInfo(CMS_ContentInfo **a, unsigned char **pp, long length);
     int i2d_CMS_ContentInfo(CMS_ContentInfo *a, unsigned char **pp);

# DESCRIPTION

These functions decode and encode an CMS ContentInfo structure.
Otherwise they behave in a similar way to d2i_X509() and i2d_X509() described in the d2i_X509(3) manual page.

# SEE ALSO

d2i_X509(3)

# HISTORY

These functions were first added to OpenSSL 0.9.8

2015-03-23 | 1.0.2k